Index: WAeUP_SRP/trunk/Accommodation.py
===================================================================
--- WAeUP_SRP/trunk/Accommodation.py	(revision 574)
+++ WAeUP_SRP/trunk/Accommodation.py	(revision 575)
@@ -6,13 +6,13 @@
 from Products.CMFCore.permissions import View
 from Products.CMFCore.permissions import ModifyPortalContent
-from Products.CPSCore.CPSBase import CPSBase_adder, CPSBaseFolder 
-#from Products.CPSCore.CPSBase import CPSBaseDocument as BaseDocument 
-from Products.CPSDocument.CPSDocument import CPSDocument 
-from Products.CPSCore.CPSBase import CPSBaseBTreeFolder as BaseBTreeFolder 
+from Products.CPSCore.CPSBase import CPSBase_adder, CPSBaseFolder
+#from Products.CPSCore.CPSBase import CPSBaseDocument as BaseDocument
+from Products.CPSDocument.CPSDocument import CPSDocument
+from Products.CPSCore.CPSBase import CPSBaseBTreeFolder as BaseBTreeFolder
 from Products.WAeUP_SRP.WAeUPTables import AccommodationTable
 
 class AccoFolder(CPSDocument): ###(
     """
-    WAeUP AccoFolder containing Accommodation halls 
+    WAeUP AccoFolder containing Accommodation halls
     """
     meta_type = 'AccoFolder'
@@ -20,4 +20,9 @@
     security = ClassSecurityInfo()
     
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        return "Accommodation"    
+
     security.declareProtected(ModifyPortalContent,"generateFreeBedsList") ###(
     def generateFreeBedsList(self):
@@ -26,5 +31,5 @@
         """
         freelist = AccommodationTable()
-        l = self.portal_catalog({'meta_type': "Accommodation"}) 
+        l = self.portal_catalog({'meta_type': "Accommodation"})
         halls = []
         for h in l:
@@ -52,5 +57,5 @@
                             elif bed in h.beds_for_final:
                                 bt = 'fi'
-                            bt = "%(sex)s_%(bt)s" % vars()  
+                            bt = "%(sex)s_%(bt)s" % vars()
                             uid = '%s_%d_%s' % (hall.getId(),room_nr,bed)
                             print bt,uid
@@ -60,5 +65,5 @@
                             except ValueError,e:
                                 freelist.deleteRecord(uid)
-                    
+
         return self.accommodation.academics_contents()
 
@@ -75,10 +80,10 @@
 class Accommodation(CPSDocument): ###(
     """
-    WAeUP Accommodation containing Departments 
+    WAeUP Accommodation containing Departments
     """
     meta_type = 'Accommodation'
     portal_type = meta_type
     security = ClassSecurityInfo()
-    
+
     security.declareProtected(View,"Title") ###(
     def Title(self):
@@ -91,5 +96,5 @@
 
 ###)
-                
+
 InitializeClass(Accommodation)
 
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 574)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_personal.xml	(revision 575)
@@ -72,5 +72,4 @@
  </widget>
 
-
  <widget name="for_lga" meta_type="String Widget">
   <property name="title">Foreign Student Local Government Area</property>
@@ -174,4 +173,16 @@
 
 
+ <widget name="email" meta_type="Email Widget">
+  <property name="title">Email</property>
+  <property name="fields">
+   <element value="email"/>
+  </property>
+  <property name="label">Email</property>
+  <property name="label_edit">Email</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
  <widget name="next_kin_firstname" meta_type="String Widget">
   <property name="title">Next of Kin Firstname</property>
@@ -264,5 +275,5 @@
  </widget>
 
- <widget name="next_kin_email" meta_type="String Widget">
+ <widget name="next_kin_email" meta_type="Email Widget">
   <property name="title">Next of Kin Email</property>
   <property name="fields">
@@ -367,5 +378,5 @@
  </widget>
 
- <widget name="sponsor_email" meta_type="String Widget">
+ <widget name="sponsor_email" meta_type="Email Widget">
   <property name="title">Sponsor Email</property>
   <property name="fields">
@@ -509,4 +520,7 @@
   </row>
   <row>
+   <cell name="email"/>
+  </row>  
+  <row>
    <cell name="next_kin_firstname"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 574)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_personal.xml	(revision 575)
@@ -24,4 +24,5 @@
  <field name="campus_address" meta_type="CPS String Field"/>
  <field name="phone" meta_type="CPS String Field"/>
+ <field name="email" meta_type="CPS String Field" />
 
  <field name="next_kin_firstname" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 574)
+++ WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 575)
@@ -70,5 +70,5 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="CertCourses" action_id="import_certificate_courses"
+ <action title="CertificateCourses" action_id="import_certificate_courses"
     category="import" condition_expr=""
     url_expr="string:${object_url}/loadCertificateCoursesFromCSV"
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/pin_prefixes.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/pin_prefixes.xml	(revision 574)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/pin_prefixes.xml	(revision 575)
@@ -9,7 +9,7 @@
     <item key="CLR" msgid="">Clearance</item>
     <item key="HOS" msgid="">Hostel Application</item>
-    <item key="HMU" msgid="">Old Hostels (Halls 1, 2, 3, 4)</item>
-    <item key="HMF" msgid="">New Hostel (Hall 5)</item>
-    <item key="HMP" msgid="">Postgraduate Hostel</item>
+    <item key="HMU" msgid="">Old Hostel (Halls 1, 2, 3, 4) Maintenance</item>
+    <item key="HMF" msgid="">New Hostel (Hall 5) Maintenance</item>
+    <item key="HMP" msgid="">Postgraduate Hostel Maintenance</item>
     <item key="GWN" msgid="">Gown Hiring</item>
 