Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 585)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 586)
@@ -187,4 +187,9 @@
             return 0
         else:
+            portal_type_query = {'query':['Faculty',
+                                          'Department',
+                                          'Course',
+                                          'Certificate',
+                                          'CertificateCourse',]}
             widget_id = self.getWidgetId()
             value = datastructure[widget_id].upper()
@@ -192,6 +197,6 @@
             if len(value.split()) > 1:
                 err = 'Invalid Id (Id contains space(s)'
-            elif hasattr(self.aq_parent,value):
-                err = 'An object with the Id %s already exists in this context' % (value)
+            elif self.portal_catalog(portal_type=portal_type_query,id=value):
+                err = 'An object with the Id %s already exists in the Academic section' % (value)
             if err:
                 datastructure.setError(widget_id, err)
Index: WAeUP_SRP/trunk/profiles/default/layouts/department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 585)
+++ WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 586)
@@ -20,5 +20,5 @@
  <widget name="Title" meta_type="String Widget">
   <property name="fields">
-   <element value="Title"/>
+   <element value="title"/>
   </property>
   <property name="is_required">True</property>
Index: WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 585)
+++ WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 586)
@@ -20,5 +20,5 @@
  <widget name="Title" meta_type="String Widget">
   <property name="fields">
-   <element value="Title"/>
+   <element value="title"/>
   </property>
   <property name="is_required">True</property>
Index: WAeUP_SRP/trunk/profiles/default/types/Department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 585)
+++ WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 586)
@@ -34,4 +34,5 @@
  <property name="cps_is_portlet">False</property>
  <alias from="(Default)" to="academics_index"/>
+ <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="created" to="department_created"/>
  <alias from="view" to="academics_index"/>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_index_view.pt	(revision 585)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_index_view.pt	(revision 586)
@@ -51,8 +51,4 @@
                        % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                        />
-                <input type="submit" name="approve_checked:method"
-                       class="context" value="Approve" />
-                <input type="submit" name="retract_checked:method"
-                       class="context" value="Retract" />
                 <input type="submit" name="folder_delete:method" value="button_delete"
                        class="destructive" i18n:attributes="value"
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_view.pt	(revision 585)
+++ WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_view.pt	(revision 586)
@@ -58,8 +58,4 @@
                        % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                        />
-                <input type="submit" name="approve_checked:method"
-                       class="context" value="Approve" />
-                <input type="submit" name="retract_checked:method"
-                       class="context" value="Retract" />
                 <input type="submit" name="folder_delete:method" value="button_delete"
                        class="destructive" i18n:attributes="value"
Index: WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 585)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 586)
@@ -32,5 +32,5 @@
     fo = f.getObject()
     fd = fo.getContent()
-    row['id'] = f.getId
+    row['id'] = fo.getId()
     row['title'] = fd.LongTitle()
     row['url'] = fo.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_custom/folder_delete.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/folder_delete.py	(revision 585)
+++ WAeUP_SRP/trunk/skins/waeup_custom/folder_delete.py	(revision 586)
@@ -14,8 +14,12 @@
 
 from Products.CMFCore.utils import getToolByName
+here = context
+if context.portal_type == "University":
+    here = context.academics
 
-ti = getToolByName(context, 'portal_types').getTypeInfo(context.portal_type)
+ti = getToolByName(here, 'portal_types').getTypeInfo(here.portal_type)
 meth_id = ti.queryMethodID('view', 'folder_contents')
-ret_url = context.absolute_url() + '/' + meth_id
+ret_url = here.absolute_url() + '/' + meth_id
+
 
 if ids:
@@ -23,9 +27,9 @@
         # XXX has to be called from here since the workflow doesn't handle the
         # deletion yet
-        ob = getattr(context, id)
+        ob = getattr(here, id)
         from Products.CPSCore.EventServiceTool import getPublicEventService
-        evtool = getPublicEventService(context)
+        evtool = getPublicEventService(here)
         evtool.notifyEvent('workflow_delete', ob, {})
-    context.manage_delObjects(ids)
+    here.manage_delObjects(ids)
     message = 'portal_status_message=psm_item(s)_deleted'
 else:
Index: WAeUP_SRP/trunk/skins/waeup_default/id_rename.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 585)
+++ WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 586)
@@ -17,7 +17,12 @@
 new_ids = [id.upper() for id in REQUEST['new_ids']]
 
-context.manage_renameObjects(REQUEST['ids'], new_ids, REQUEST) 
+here = context
+if context.portal_type == "University":
+    here = context.academics
+    
 
-return REQUEST.RESPONSE.redirect(context.absolute_url() + \
-                                ('/academics_contents?portal_status_message=%s' \
+here.manage_renameObjects(REQUEST['ids'], new_ids, REQUEST) 
+
+return REQUEST.RESPONSE.redirect(here.absolute_url() + \
+                                ('/academics_index?portal_status_message=%s' \
                                 % ('psm_item(s)_renamed',)))
Index: WAeUP_SRP/trunk/skins/waeup_default/id_rename_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/id_rename_form.pt	(revision 585)
+++ WAeUP_SRP/trunk/skins/waeup_default/id_rename_form.pt	(revision 586)
@@ -12,10 +12,10 @@
 <metal:main fill-slot="main">
 
-<div class="group" tal:condition="here/folder_rename_items" >
+<div class="group" tal:condition="context/academics_rename_items" >
 <form action="folder_rename" method="post"
       tal:attributes="action string:${here_url}/id_rename">
 
   <table width="90%">
-    <tr tal:repeat="item here/folder_rename_items">
+    <tr tal:repeat="item context/academics_rename_items">
       <td align="left" valign="top" width="20%" nowrap="nowrap">
         <span tal:replace="structure item/iconHTML">Type Image</span>