Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 597)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 598)
@@ -22,9 +22,10 @@
 campus = context.portal_catalog(meta_type = "University")[-1].getObject()
 member = pm.getAuthenticatedMember()
-roles = member.getRoles()
+roles = member.getRolesInContext(context)
 isManager = "Manager" in roles or "SectionManager" in roles
 isStudent = "Student" in roles
+isStaff = "Staff" in roles
 
-if isManager:
+if isStaff or isManager:
     if context.portal_type == 'AcademicsFolder':
         return context.academics.academics_index_view()
Index: WAeUP_SRP/trunk/skins/waeup_academics/courses_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/courses_index_view.pt	(revision 597)
+++ WAeUP_SRP/trunk/skins/waeup_academics/courses_index_view.pt	(revision 598)
@@ -65,6 +65,6 @@
                     <strong tal:content="row/title" /></a> </td>
                 <td tal:content="row/id"> </td>
-                <td tal:content="row/review_state"> </td>
-                <td><a href="edit" tal:attributes="href string:${row/url}/cpsdocument_edit_form">[edit]</a></td>
+                <td tal:condition="row/is_editable" tal:content="row/review_state"> </td>
+                <td tal:condition="row/is_editable"><a href="edit" tal:attributes="href string:${row/url}/cpsdocument_edit_form">[edit]</a></td>
               </tr>
             </span>
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_view.pt	(revision 597)
+++ WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_view.pt	(revision 598)
@@ -39,5 +39,9 @@
 
             <td> 
+<<<<<<< .mine
+            <a tal:condition="row/is_editable"
+=======
             <a tal:condition="row/is_edit_allowed"
+>>>>>>> .r597
                 href="edit" tal:attributes="href string:${row/url}/external_edit_form"
                 target="edit"
Index: WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 597)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 598)
@@ -48,4 +48,5 @@
     row['url'] = ro.absolute_url()
     row['review_state'] = wf.getInfoFor(ro,'review_state','None')
+    row['is_editable'] = mtool.checkPermission('Modify portal content', ro)
     items.append(row)
 info['courses'] = items
Index: WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 597)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getDepartmentsInfo.py	(revision 598)
@@ -21,5 +21,5 @@
 info = {}
 member_id = str(member)
-roles = member.getRoles()
+roles = member.getRolesInContext(context)
 info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
 info['is_student'] = 'Student' in roles
@@ -39,5 +39,5 @@
     row['title'] = rd.LongTitle()
     row['url'] = ro.absolute_url()
-    row['is_edit_allowed'] = mtool.checkPermission('Modify portal content', ro)
+    row['is_editable'] = mtool.checkPermission('Modify portal content', ro)
     items.append(row)
 info['items'] = items
Index: WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 597)
+++ WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 598)
@@ -55,4 +55,5 @@
     row['url'] = ro.absolute_url()
     row['review_state'] = wf.getInfoFor(ro,'review_state','None')
+    row['is_editable'] = mtool.checkPermission('Modify portal content', ro)
     if rd.semester == 'first':
         first.append(row)
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt	(revision 597)
+++ WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt	(revision 598)
@@ -40,6 +40,6 @@
                 <td tal:content="row/id"></td>
                 <td tal:content="python: test(row['core'],'core','elective')"></td>
-                <td tal:content="row/review_state"> </td>
-                <td><a href="edit" tal:attributes="href string:${row/url}/cpsdocument_edit_form">[edit]</a></td>
+                <td tal:condition="row/is_editable" tal:content="row/review_state"> </td>
+                <td tal:condition="row/is_editable" ><a href="edit" tal:attributes="href string:${row/url}/cpsdocument_edit_form">[edit]</a></td>
               </tr>
             </span>