Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 600)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 601)
@@ -30,10 +30,4 @@
      url_expr="string:${portal_url}/cpsdirectory_entry_view?dirname=members&amp;id=${member}"
      visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Search Members" action_id="member_view" category="user"
-     condition_expr="member"
-     url_expr="string:${portal_url}/cpsdirectory_entry_search_form?dirname=members"
-     visible="False">
    <permission>View</permission>
   </action>
@@ -115,5 +109,5 @@
   <action title="Members" action_id="view_members" category="navigation"
      condition_expr="member"
-     url_expr="string:${portal_url}/members_search"
+     url_expr="string:${portal_url}/cpsdirectory_entry_search_form?dirname=members"
      visible="True">
    <permission>Modify portal content</permission>
Index: WAeUP_SRP/trunk/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 600)
+++ WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 601)
@@ -27,4 +27,3 @@
  <object name="university" meta_type="CPS Layout"/>
  <object name="waeup_common" meta_type="CPS Layout"/>
- <object name="members_search" meta_type="CPS Layout"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/members_search.xml	(revision 600)
+++ 	(revision )
@@ -1,72 +1,0 @@
-<?xml version="1.0"?>
-<object name="members_search" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_dir_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="email" meta_type="String Widget">
-  <property name="fields">
-   <element value="email"/>
-  </property>
-  <property name="label">label_email</property>
-  <property name="label_edit">label_email</property>
-  <property name="description">Member email</property>
-  <property name="is_i18n">True</property>
-  <property name="display_width">30</property>
- </widget>
- <widget name="givenName" meta_type="String Widget">
-  <property name="fields">
-   <element value="givenName"/>
-  </property>
-  <property name="label">label_first_name</property>
-  <property name="label_edit">label_first_name</property>
-  <property name="description">Member first name</property>
-  <property name="is_i18n">True</property>
- </widget>
- <widget name="id" meta_type="String Widget">
-  <property name="fields">
-   <element value="id"/>
-  </property>
-  <property name="label">label_user_name</property>
-  <property name="label_edit">label_user_name</property>
-  <property name="description">Member login</property>
-  <property name="is_i18n">True</property>
-  <property name="display_width">30</property>
- </widget>
- <widget name="roles" meta_type="String Widget">
-  <property name="fields">
-   <element value="roles"/>
-  </property>
-  <property name="label">Roles</property>
-  <property name="label_edit">Roles</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="sn" meta_type="String Widget">
-  <property name="fields">
-   <element value="sn"/>
-  </property>
-  <property name="label">label_last_name</property>
-  <property name="label_edit">label_last_name</property>
-  <property name="description">Member last name</property>
-  <property name="is_i18n">True</property>
- </widget>
- <table>
-  <row>
-   <cell name="id" ncols="2"/>
-  </row>
-  <row>
-   <cell name="givenName"/>
-   <cell name="sn"/>
-  </row>
-  <row>
-   <cell name="email" ncols="2"/>
-  </row>
-  <row>
-   <cell name="roles" ncols="2"/>
-  </row>
- </table>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/members_search.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/members_search.xml	(revision 600)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<?xml version="1.0"?>
-<object name="members_search" meta_type="CPS Schema">
- <field name="email" meta_type="CPS String Field"/>
- <field name="givenName" meta_type="CPS String Field"/>
- <field name="groups" meta_type="CPS String List Field"/>
- <field name="id" meta_type="CPS String Field"/>
- <field name="roles" meta_type="CPS String List Field"/>
- <field name="sn" meta_type="CPS String Field"/>
-</object>
-
Index: WAeUP_SRP/trunk/skins/waeup_custom/layout_dir_search.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/layout_dir_search.pt	(revision 600)
+++ 	(revision )
@@ -1,51 +1,0 @@
-<tal:block define="
-  layout options/layout;
-  ds options/datastructure;
-  formaction request/formaction|python: 'members_search';
-  ">
-<div class="group">
-<form action="." method="post" name="form" enctype="multipart/form-data"
-  tal:attributes="action formaction">
-<input type="hidden" name="dirname" value="."
-  tal:attributes="value request/dirname|string:members" />
-<table cellpadding="0" cellspacing="2" summary="form layout">
-  <tr tal:repeat="row layout/rows">
-    <tal:block repeat="cell row">
-    <tal:block define="widget cell/widget;
-                       wid widget/getWidgetId;
-                       err python: ds.getError(wid);
-                       is_required python: cell['widget_mode'] == 'edit' and widget.is_required;
-                       ">
-      <td align="right"  valign="top">
-        <div class="label" tal:condition="widget/label_edit">
-          <span i18n:translate="" tal:condition="widget/is_i18n"
-            tal:content="widget/label_edit">label</span
-          ><span tal:condition="not:widget/is_i18n"
-            tal:content="widget/label_edit">label</span
-          >&nbsp;:
-        </div>
-      </td>
-      <td valign="top" colspan="1"
-        tal:attributes="colspan python:cell['ncols']*2-1">
-        <div tal:attributes="class python:err and 'error' or nothing">
-          <div tal:attributes="class widget/css_class|nothing">
-            <tal:block replace="structure cell/widget_rendered" />
-          </div>
-          <div tal:condition="err">
-            <em style="color:red" tal:content="err"
-              i18n:translate="">Error</em>
-          </div>
-        </div>
-      </td>
-    </tal:block>
-    </tal:block>
-  </tr>
-  <tr><td></td>
-    <td><br /><input type="submit" class="standalone"
-          name="cpsdirectory_search_button" value="button_search"
-          i18n:attributes="value" /> <br /><br /></td>
-  </tr>
-</table>
-</form>
-</div>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/members_search.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/members_search.pt	(revision 600)
+++ 	(revision )
@@ -1,28 +1,0 @@
-<tal:block define="
-  global dirname request/dirname|string:members;
-  global dir here/portal_directories/?dirname;
-  global dirtitle dir/title_or_id;
-  "/>
-<metal:block use-macro="here/main_template/macros/master">
-  <metal:block fill-slot="style_slot" />
-  <metal:block fill-slot="header"/>
-
-  <metal:block fill-slot="main" tal:define="
-    validate python: request.has_key('cpsdirectory_search_button');
-    res python: dir.renderSearchDetailed(request=request, validate=validate,
-                                      callback='cpsdirectory_entry_search_do');
-    global rendered_main python: res[0];
-    global ok python: res[1];
-    ds python: res[2];
-    global portal_status_message python: (validate and not ok and
-      'psm_content_error') or request.form.get('portal_status_message', '');">
-
-    <h3>SRP Member Search</h3>
-    
-    <br />
-
-    <div tal:replace="structure rendered_main">Rendered main...</div>
-
-  </metal:block>
-
-</metal:block>