Index: /WAeUP_SRP/trunk/Students.py
===================================================================
--- /WAeUP_SRP/trunk/Students.py	(revision 602)
+++ /WAeUP_SRP/trunk/Students.py	(revision 603)
@@ -115,5 +115,5 @@
                 logger.info('%(tr_count)s: Creating Student with ID %(sid)s Matric_no %(matric_no)s ' % vars())
                 s = getattr(self,sid)
-                self.portal_registration.addMember(sid, 
+                self.portal_registration.addMember(sid,
                                                    'uNsEt' ,
                                                    roles=('Member',
@@ -367,5 +367,5 @@
             student.application.manage_setLocalRoles(sid, ['Owner',])
             student.personal.manage_setLocalRoles(sid, ['Owner',])
-            
+
     security.declareProtected(View,"Title")
     def Title(self):
@@ -407,5 +407,5 @@
         """make the student a member"""
         membership = self.portal_membership
-        membership.addMember(sid, 
+        membership.addMember(sid,
                              password ,
                              roles=('Member',
@@ -443,6 +443,6 @@
         per_doc.edit(mapping = dp)
         per.manage_setLocalRoles(self.getId(), ['Owner',])
-        self.portal_workflow.doActionFor(per,'open',dest_container=per)
-        
+        #self.portal_workflow.doActionFor(per,'open',dest_container=per)
+
 ###)
 
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_search.xml	(revision 602)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_search.xml	(revision 603)
@@ -12,6 +12,6 @@
    <element value="review_state"/>
   </property>
-  <property name="label">Review State</property>
-  <property name="label_edit">Review State</property>
+  <property name="label">Search for students in state</property>
+  <property name="label_edit">Search for students in state</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -20,24 +20,23 @@
  </widget>
  <widget name="search_mode" meta_type="Generic Select Widget">
-  <property name="title">Searchmode</property>
+  <property name="title">Search Mode</property>
   <property name="fields">
    <element value="search_mode"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Search for</property>
-  <property name="label_edit">Search for</property>
+  <property name="label">and</property>
+  <property name="label_edit">and</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">student_search_mode</property>
-  <property name="render_format">radio</property>
  </widget>
  <widget name="search_string" meta_type="String Widget">
-  <property name="title">Searchstring</property>
+  <property name="title">Search String</property>
   <property name="fields">
    <element value="search_string"/>
   </property>
-  <property name="label">Search for</property>
-  <property name="label_edit">Search for</property>
+  <property name="label">beginning with</property>
+  <property name="label_edit">beginning with</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -47,10 +46,11 @@
  <table>
   <row>
-   <cell name="review_state" ncols="2"/>
+   <cell name="review_state" ncols="3"/>
   </row>
   <row>
+   <cell name="search_mode" ncols="2"/>
    <cell name="search_string"/>
-   <cell name="search_mode"/>
   </row>
  </table>
 </object>
+
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 602)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/searchable_student_states.xml	(revision 603)
@@ -5,8 +5,15 @@
  <property name="description"></property>
  <property name="acl_write_roles">Manager</property>
- <item key="all" msgid="">All States</item>
- <item key="admission_applied " msgid="">Applied for Admission</item>
- <item key="created" msgid="">Data Imported</item>
- <item key="admission_rejected" msgid="">Admission rejected</item>
- <item key="admitted" msgid="">Admitted</item>
+ <item key="all" msgid="">all states</item>
+ <item key="created" msgid="">data imported</item>
+ <item key="application_pin_entered" msgid="">application pin entered</item>
+ <item key="admission_applied" msgid="">applied for admission</item>
+ <item key="pume_passed" msgid="">pume passed</item>
+ <item key="pume_failed" msgid="">pume failed</item> 
+ <item key="admission_rejected" msgid="">admission rejected</item>
+ <item key="finally_rejected" msgid="">finally rejected</item>
+ <item key="admitted" msgid="">admitted</item>
+ <item key="clearance_pin_entered" msgid="">clearance pin entered</item>
+ <item key="clearance_requested" msgid="">clearance requested</item>
+ <item key="cleared_and_validated" msgid="">cleared and validated</item>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/student_search_mode.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/student_search_mode.xml	(revision 602)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/student_search_mode.xml	(revision 603)
@@ -5,7 +5,7 @@
  <property name="description"></property>
  <property name="acl_write_roles">Manager</property>
- <item key="student_id" msgid="">Student Id</item>
+ <item key="student_id" msgid="">Student Id (complete ids only)</item>
  <item key="name" msgid="">Name</item>
- <item key="matric_no" msgid="">Matriculation Number</item>
- <item key="jamb_id" msgid="">Jamb Id</item>
+ <item key="matric_no" msgid="">Matriculation No</item>
+ <item key="jamb_reg_no" msgid="">Jamb Registration No</item>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 602)
+++ /WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 603)
@@ -5,12 +5,11 @@
               meta_type="CPS Workflow">
  <permission>Modify portal content</permission>
+ <permission>View</permission>
  <permission>WAeUPModify own content</permission>
- <permission>View</permission>
  <state state_id="closed" title="">
   <exit-transition transition_id="open"/>
  </state>
  <state state_id="created" title="">
-  <exit-transition transition_id="create_content"/>
-  <exit-transition transition_id="enter_application_pin"/>
+  <exit-transition transition_id="close"/>
   <exit-transition transition_id="open"/>
   <permission-map name="Modify portal content"
@@ -20,12 +19,12 @@
    <permission-role>SectionManager</permission-role>
   </permission-map>
-  <permission-map name="WAeUPModify own content"
-                  acquired="False">
-   <permission-role>Owner</permission-role>
-  </permission-map>
   <permission-map name="View" acquired="False">
    <permission-role>Owner</permission-role>
    <permission-role>Manager</permission-role>
    <permission-role>SectionManager</permission-role>
+  </permission-map>
+  <permission-map name="WAeUPModify own content"
+                  acquired="False">
+   <permission-role>Owner</permission-role>
   </permission-map>
  </state>
@@ -38,9 +37,9 @@
    <permission-role>Manager</permission-role>
   </permission-map>
+  <permission-map name="View" acquired="False">
+   <permission-role>Owner</permission-role>
+  </permission-map>
   <permission-map name="WAeUPModify own content"
                   acquired="False">
-   <permission-role>Owner</permission-role>
-  </permission-map>
-  <permission-map name="View" acquired="False">
    <permission-role>Owner</permission-role>
   </permission-map>
@@ -51,5 +50,5 @@
   
   <guard>
-    <guard-permission>WAeUPModify own content</guard-permission>
+   <guard-permission>WAeUPModify own content</guard-permission>
   </guard>
  </transition>
@@ -68,6 +67,7 @@
   
   <guard>
-    <guard-permission>WAeUPModify own content</guard-permission>
+   <guard-permission>WAeUPModify own content</guard-permission>
   </guard>
  </transition>
 </cps-workflow>
+
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 603)
@@ -21,5 +21,4 @@
 
 campus = context.portal_catalog(meta_type = "University")[-1].getObject()
-member = pm.getAuthenticatedMember()
 
 if context.isManager():
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_index_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_index_view.pt	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_index_view.pt	(revision 603)
@@ -35,5 +35,14 @@
               <strong tal:content="row/title" /></a> </td>
             <td tal:content="row/id"> </td>
-            <td><a href="edit" tal:attributes="href string:${row/url}/cpsdocument_edit_form">[edit]</a></td>
+            
+            <td> 
+            <a tal:condition="row/is_editable"
+                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                target="edit"
+                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                [edit]
+                </a> 
+            </td>
+            
           </tr>
         </table>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/courses_index_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/courses_index_view.pt	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/courses_index_view.pt	(revision 603)
@@ -66,5 +66,12 @@
                 <td tal:content="row/id"> </td>
                 <td tal:condition="row/is_editable" tal:content="row/review_state"> </td>
-                <td tal:condition="row/is_editable"><a href="edit" tal:attributes="href string:${row/url}/cpsdocument_edit_form">[edit]</a></td>
+                <td> 
+                <a tal:condition="row/is_editable"
+                    href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                    target="edit"
+                    onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                    [edit]
+                    </a> 
+                </td>                
               </tr>
             </span>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCertificateInfo.py	(revision 603)
@@ -15,11 +15,7 @@
 
 wf = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
 path_info = request.get('PATH_INFO').split('/')
 
 info = {}
-member_id = str(member)
-roles = member.getRoles()
 info['is_manager'] = context.isManager()
 info['is_student'] = context.isStudent()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesCertificatesInfo.py	(revision 603)
@@ -15,11 +15,7 @@
 
 wf = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
 path_info = request.get('PATH_INFO').split('/')
 
 info = {}
-member_id = str(member)
-roles = member.getRoles()
 info['is_manager'] = context.isManager()
 info['is_student'] = context.isStudent()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getCoursesInfo.py	(revision 603)
@@ -15,13 +15,10 @@
 
 wf = context.portal_workflow
+path_info = request.get('PATH_INFO').split('/')
 mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-path_info = request.get('PATH_INFO').split('/')
 
 info = {}
-member_id = str(member)
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
 dep_id = context.aq_parent.getId()
-roles = member.getRoles()
 info['is_manager'] = context.isManager()
 info['is_student'] = context.isStudent()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getDocumentInfo.py	(revision 603)
@@ -15,13 +15,9 @@
 
 wf = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
 path_info = request.get('PATH_INFO').split('/')
 
 info = {}
-member_id = str(member)
-roles = member.getRoles()
-info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
-info['is_student'] = 'Student' in roles 
+info['is_manager'] = context.isManager
+info['is_student'] = context.isStudent
 info['doc'] = context.getContent()
 return info
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getFacultiesInfo.py	(revision 603)
@@ -16,12 +16,9 @@
 wf = context.portal_workflow
 mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
 path_info = request.get('PATH_INFO').split('/')
 
 info = {}
-member_id = str(member)
-roles = member.getRoles()
 info['is_manager'] = context.isManager()
-info['is_student'] = context.isStudent() 
+info['is_student'] = context.isStudent()
 info['action'] = "%s" % context.campus.absolute_url()
 info['choosen_ids'] = request.get('ids',[])
@@ -35,4 +32,5 @@
     row['title'] = fd.LongTitle()
     row['url'] = fo.absolute_url()
+    row['is_editable'] = mtool.checkPermission('Modify portal content', fo)
     items.append(row)
 info['items'] = items
Index: /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/getLevelInfo.py	(revision 603)
@@ -15,6 +15,4 @@
 
 wf = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
 path_info = request.get('PATH_INFO').split('/')
 try:
@@ -24,5 +22,4 @@
     p = 1
 info = {}
-member_id = str(member)
 pt = request.get('PATH_TRANSLATED').split('/')
 
@@ -30,5 +27,4 @@
 cert_id = pt[-(2+p)]
 level_id = pt[-(1+p)]
-roles = member.getRoles()
 info['is_manager'] = context.isManager()
 info['is_student'] = context.isStudent()
@@ -51,5 +47,5 @@
     row['id'] = r.getId
     row['title'] = rd.Title()
-    row['core'] = rd.core_or_elective 
+    row['core'] = rd.core_or_elective
     row['semester'] = rd.semester
     row['url'] = ro.absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/level_index_view.pt	(revision 603)
@@ -41,5 +41,12 @@
                 <td tal:content="python: test(row['core'],'core','elective')"></td>
                 <td tal:condition="row/is_editable" tal:content="row/review_state"> </td>
-                <td tal:condition="row/is_editable" ><a href="edit" tal:attributes="href string:${row/url}/cpsdocument_edit_form">[edit]</a></td>
+                <td> 
+                <a tal:condition="row/is_editable"
+                    href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                    target="edit"
+                    onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                    [edit]
+                    </a> 
+                </td>
               </tr>
             </span>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/searchAcademics.py	(revision 603)
@@ -18,18 +18,15 @@
 wf = context.portal_workflow
 catalog = context.portal_catalog
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
 lt = context.portal_layouts
 pr = context.portal_registration
 path_info = request.get('PATH_INFO').split('/')
-roles = member.getRoles()
-is_manager = 'Manager' in roles or 'SectionManager' in roles
+is_manager = context.isManager
 validate = request.has_key("cpsdocument_edit_button")
 items = []
-default = {'search_mode': 'course', 
-        'review_state': 'unchecked', 
+default = {'search_mode': 'course',
+        'review_state': 'unchecked',
         'search_string': ''
         }
-        
+
 rend,psm,ds = lt.renderLayout(layout_id= 'academics_search',
                       schema_id= 'academics_search',
@@ -52,5 +49,5 @@
 if state == " ----- ":
     state = ''
-if not term and what in ('student_edit','jamb_id','name','matric_no'):
+if not term and what in ('student_edit','jamb_reg_no','name','matric_no'):
     return context.academics_search_view(rendered = rend,
                              psm = "You must specify a search string",
@@ -69,5 +66,5 @@
     res = catalog(portal_type='Student',
                   id = term.strip())
-elif what == "jamb_id":
+elif what == "jamb_reg_no":
     res = catalog(portal_type='StudentApplication',
                   SearchableText="%s*" % term.strip().lower())
Index: /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 603)
@@ -18,3 +18,3 @@
 mtool = getToolByName(context, 'portal_membership')
 #return mtool.getCPSCandidateLocalRoles(context)
-return ['Manager','SectionReader','SectionManager','Student','Staff']
+return ['SectionReader','SectionManager']
Index: /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 603)
@@ -21,9 +21,9 @@
     to_member_home = False
     to_workspaces = False
-    has_home = mtool.getHomeFolder()
-    if has_home:
-        to_member_home = True
-    if not has_home and mtool.checkPermission('View', portal.workspaces):
-        to_workspaces = True
+##    has_home = mtool.getHomeFolder()
+##    if has_home:
+##        to_member_home = True
+##    if not has_home and mtool.checkPermission('View', portal.workspaces):
+##        to_workspaces = True
     return to_member_home, to_workspaces
 
@@ -87,5 +87,5 @@
         return response.redirect("%s/passport_entry_view" % student.absolute_url())
     return response.redirect("%s" % student.absolute_url())
-    
+
 elif to_member_home:
     redirect_url = mtool.getHomeFolder().absolute_url()
Index: /WAeUP_SRP/trunk/skins/waeup_default/campus_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 603)
@@ -13,5 +13,4 @@
 """
 
-
 request = context.REQUEST
 redirect = request.RESPONSE.redirect
@@ -22,13 +21,9 @@
 
 campus = context.portal_catalog(meta_type = "University")[-1].getObject()
-member = pm.getAuthenticatedMember()
-roles = member.getRoles()
-isManager = "Manager" in roles or "SectionManager" in roles
-isStudent = "Student" in roles
 
-if isManager:
+if context.isManager():
     return redirect("%s/campus_manager_view" % campus.absolute_url())
 
-if isStudent:
+if context.isStudent():
     return redirect("%s/students_index" % campus.students.absolute_url())
 
Index: /WAeUP_SRP/trunk/skins/waeup_default/index_html.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_default/index_html.py	(revision 603)
@@ -13,5 +13,4 @@
 """
 
-
 request = context.REQUEST
 redirect = request.RESPONSE.redirect
@@ -21,13 +20,8 @@
     return redirect("%s/srp_anonymous_view" % request.get('URL1'))
 
-member = pm.getAuthenticatedMember()
-roles = member.getRoles()
-isManager = "Manager" in roles or "SectionManager" in roles
-isStudent = "Student" in roles
-
-if isManager:
+if context.isManager():
     return redirect("%s/srp_manager_view" % context.absolute_url())
 
-if isStudent:
+if context.isStudent():
     return redirect("%s/srp_anonymous_view" % context.absolute_url())
 
Index: /WAeUP_SRP/trunk/skins/waeup_default/isManager.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isManager.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_default/isManager.py	(revision 603)
@@ -10,5 +10,7 @@
 # $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
 """
-return True if the member is considered a Manager in this context
+return True if the member is considered a Manager,
+consider all non-Student members to be Managers
+
 """
 request = context.REQUEST
@@ -18,7 +20,9 @@
 member = mtool.getAuthenticatedMember()
 path_info = request.get('PATH_INFO').split('/')
-roles = member.getRolesInContext(context)
+#roles = member.getRolesInContext(context)
+roles = member.getRoles()
 isStudent = "Student" in roles
 isStaff = not isStudent
-isManager = "Manager" in roles or "SectionManager" in roles or isStaff
+#isManager = "Manager" in roles or "SectionManager" in roles or isStaff
+isManager = isStaff
 return isManager
Index: /WAeUP_SRP/trunk/skins/waeup_default/isStudent.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isStudent.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_default/isStudent.py	(revision 603)
@@ -10,5 +10,5 @@
 # $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
 """
-return True if the member is considered a Student in this context
+return True if the member is considered a Student
 """
 request = context.REQUEST
@@ -18,7 +18,6 @@
 member = mtool.getAuthenticatedMember()
 path_info = request.get('PATH_INFO').split('/')
-roles = member.getRolesInContext(context)
+#roles = member.getRolesInContext(context)
+roles = member.getRoles()  # Student role is global 
 isStudent = "Student" in roles
-isStaff = not isStudent
-isManager = "Manager" in roles or "SectionManager" in roles or isStaff
 return isStudent
Index: /WAeUP_SRP/trunk/skins/waeup_default/layout_search_edit.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/layout_search_edit.pt	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_default/layout_search_edit.pt	(revision 603)
@@ -22,5 +22,5 @@
     <div class=''>
       <div class='documentFields'>
-        <table width="80%" cellpadding="2" cellspacing="2" summary="Form layout">
+        <table width="" cellpadding="2" cellspacing="2" summary="Form layout">
           <tr tal:repeat="row layout/rows" valign="top">
             <td tal:repeat="cell row"
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 603)
@@ -6,4 +6,11 @@
       </span>
       <span tal:condition="info">
+      
+      <div style="text-align: right">
+       <a href="javascript:window.print('media=screen')">
+         Print Slip</a>
+      </div>
+
+      
         <h3>Post UME Acknowledegement Slip</h3>
         <br />      
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 603)
@@ -9,8 +9,10 @@
             
         <div style="text-align: right">
-        <a href="" target=_blank tal:attributes="href string:application_slip">
+        <a href="" target="slip" tal:attributes="href string:application_slip"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
             <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
             Application Slip
         </a>
+        
         </div>
 
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 603)
@@ -21,5 +21,5 @@
 roles = member.getRoles()
 info = {}
-info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
+info['is_manager'] = context.isManager
 member_id = str(member)
 if student is None:
Index: /WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 603)
@@ -22,18 +22,15 @@
 info['wf_states'] = student_wf_states
 info['wf_states'][0] = " ----- "
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
 lt = context.portal_layouts
 pr = context.portal_registration
 path_info = request.get('PATH_INFO').split('/')
-roles = member.getRoles()
-is_manager = 'Manager' in roles or 'SectionManager' in roles
+is_manager = context.isManager
 validate = request.has_key("cpsdocument_edit_button")
 items = []
-default = {'search_mode': 'name', 
-        'review_state': 'admission_applied ', 
+default = {'search_mode': 'name',
+        'review_state': 'created',
         'search_string': ''
         }
-        
+
 rend,psm,ds = lt.renderLayout(layout_id= 'student_search',
                       schema_id= 'student_search',
@@ -57,10 +54,10 @@
 with_review = state != "all"
 if not term and not with_review:
-    psm = "You must specify a search string when searching in 'All States'"
+    psm = "You must specify a search string when searching 'all states'."
     err = True
 elif '*' in term:
     psm = "you cannot use the '*' alone"
     err = True
-if err: 
+if err:
     return context.students_manager_view(rendered = rend,
                              psm = psm,
@@ -73,5 +70,5 @@
 res = []
 portal_type_query = {'query':['Student','StudentApplication','StudentPersonal']}
-st_queries = ('jamb_id','matric_no','name')
+st_queries = ('jamb_reg_no','matric_no','name')
 onlyreview = with_review and not term
 if onlyreview:
@@ -86,6 +83,6 @@
         res = catalog(portal_type='Student',
                       id = term.strip())
-elif what in st_queries: 
-    if what == "jamb_id":
+elif what in st_queries:
+    if what == "jamb_reg_no":
         pt = 'StudentApplication'
         st = "%s*" % term.strip().lower()
@@ -102,5 +99,5 @@
         except:
             return context.students_manager_view(rendered = rend,
-                                 psm = 'Searchstring "%s" not allowed' % term,
+                                 psm = 'Search string "%s" not allowed.' % term,
                                  #psm = "%s, %s" % (psm,ds),
                                  students = items,
@@ -117,5 +114,5 @@
                                  is_manager = is_manager,
                                  )
-            
+
 if res:
     for r in res:
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 603)
@@ -17,17 +17,10 @@
 pm = context.portal_membership
 
-
 if pm.isAnonymousUser():
     return redirect("%s/srp_anonymous_view" % context.absolute_url())
 
-
-member = pm.getAuthenticatedMember()
-roles = member.getRoles()
-isManager = "Manager" in roles or "SectionManager" in roles
-isStudent = "Student" in roles
-
-if isManager:
+if context.isManager():
     return redirect("%s/academics_contents" % context.absolute_url())
-if isStudent:
+if context.isStudent():
     info = context.getStudentInfo()
     student = info['student']
Index: /WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 603)
@@ -17,18 +17,12 @@
 pm = context.portal_membership
 
-
 if pm.isAnonymousUser():
     return redirect("%s/srp_anonymous_view" % context.absolute_url())
 
+campus = context.portal_catalog(meta_type = "University")[-1].getObject()
 
-campus = context.portal_catalog(meta_type = "University")[-1].getObject()
-member = pm.getAuthenticatedMember()
-roles = member.getRoles()
-isManager = "Manager" in roles or "SectionManager" in roles
-isStudent = "Student" in roles
-
-if isManager:
+if context.isManager():
     return redirect("%s/searchStudents" % campus.students.absolute_url())
-if isStudent:
+if context.isStudent():
     info = context.getStudentInfo()
     student = info['student']
Index: /WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 602)
+++ /WAeUP_SRP/trunk/skins/waeup_student/students_manager_view.pt	(revision 603)
@@ -29,4 +29,9 @@
         tal:omit-tag=""
         >
+      
+        <h3> Search Student Section</h3>
+        
+        <br />
+      
         <span tal:replace="structure rendered" />
         <tal:block tal:condition="python: batch_info and batch_info['nb_pages'] > 1">