Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 603)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 604)
@@ -3,5 +3,5 @@
  <property name="layout_create_method"></property>
  <property name="layout_edit_method"></property>
- <property name="layout_view_method">layout_application_print</property>
+ <property name="layout_view_method"></property>
  <property name="style_prefix">layout_waeup_</property>
  <property name="flexible_widgets"/>
@@ -27,5 +27,4 @@
   <property name="label_edit">Application PIN</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -42,9 +41,7 @@
   <property name="label_edit">Mode of Entry</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes">
    <element value="create"/>
-   <element value="edit"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -58,5 +55,4 @@
   <property name="label_edit">JAMB Age</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -71,5 +67,4 @@
   <property name="label_edit">JAMB First Choice Course of Study</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -84,5 +79,4 @@
   <property name="label_edit">JAMB First Choice University</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -97,5 +91,4 @@
   <property name="label_edit">JAMB First Name</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -121,5 +114,4 @@
   <property name="label_edit">JAMB Local Government Area</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -134,5 +126,4 @@
   <property name="label_edit">JAMB Middle Name</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -147,5 +138,4 @@
   <property name="label_edit">JAMB Registration Number</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -162,5 +152,4 @@
   <property name="label_edit">JAMB Score</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -175,5 +164,4 @@
   <property name="label_edit">JAMB Second Choice Course of Study</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -188,5 +176,4 @@
   <property name="label_edit">JAMB Second Choice University</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -201,5 +188,4 @@
   <property name="label_edit">JAMB Sex</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -214,5 +200,4 @@
   <property name="label_edit">JAMB State</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -245,5 +230,4 @@
   <property name="label_edit">PUME English Score</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -258,5 +242,4 @@
   <property name="label_edit">PUME General Paper</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -271,5 +254,4 @@
   <property name="label_edit">PUME Mathematics Score</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -284,5 +266,4 @@
   <property name="label_edit">PUME Total Score</property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -355,2 +336,3 @@
  </table>
 </object>
+
Index: eUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 603)
+++ 	(revision )
@@ -1,25 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo">
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-      <span tal:condition="not: info">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
-      </span>
-      <span tal:condition="info">
-      
-      <div style="text-align: right">
-       <a href="javascript:window.print('media=screen')">
-         Print Slip</a>
-      </div>
-
-      
-        <h3>Post UME Acknowledegement Slip</h3>
-        <br />      
-        <span tal:omit-tag=""
-              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
-              layout_mode='view', 
-              layout_id='student_application')" 
-              />
-      </span>
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt_Joachim
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt_Joachim	(revision 604)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt_Joachim	(revision 604)
@@ -0,0 +1,25 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <span tal:condition="info">
+      
+      <div style="text-align: right">
+       <a href="javascript:window.print()">
+         Print Slip</a>
+      </div>
+
+      
+        <h3>Post UME Acknowledegement Slip</h3>
+        <br />      
+        <span tal:omit-tag=""
+              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+              layout_mode='view', 
+              layout_id='student_application')" 
+              />
+      </span>
+    </metal:main>
+  </metal:body>
+</metal:html>