Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 616)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 617)
@@ -85,10 +85,10 @@
  </widget>
  <widget name="jamb_firstname" meta_type="String Widget">
-  <property name="title">JAMB First Name</property>
+  <property name="title">JAMB Firstname</property>
   <property name="fields">
    <element value="jamb_firstname"/>
   </property>
-  <property name="label">JAMB First Name</property>
-  <property name="label_edit">JAMB First Name</property>
+  <property name="label">JAMB Firstname</property>
+  <property name="label_edit">JAMB Firstname</property>
   <property name="readonly_layout_modes">
   </property>
@@ -120,10 +120,10 @@
  </widget>
  <widget name="jamb_middlename" meta_type="String Widget">
-  <property name="title">JAMB Middle Name</property>
+  <property name="title">JAMB Middlename</property>
   <property name="fields">
    <element value="jamb_middlename"/>
   </property>
-  <property name="label">JAMB Middl Name</property>
-  <property name="label_edit">JAMB Middle Name</property>
+  <property name="label">JAMB Middlename</property>
+  <property name="label_edit">JAMB Middlename</property>
   <property name="readonly_layout_modes">
   </property>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 616)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 617)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentApplication</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">academics_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -26,8 +26,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="academics_document_view"/>
+ <alias from="view" to="academics_document_view"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/academics_contents"
+    condition_expr="" url_expr="string:${object_url}/academics_document_view"
     visible="True">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 616)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 617)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentClearance</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">academics_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -28,9 +28,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
+ <alias from="(Default)" to="academics_document_view"/>
  <alias from="view" to="academics_contents"/>
  <action title="Standard View" action_id="view" category="object"
     condition_expr=""
-    url_expr="string:${object_url}/academics_contents"
+    url_expr="string:${object_url}/academics_document_view"
     visible="True">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 616)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 617)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentPersonal</property>
- <property name="immediate_view">academics_contents</property>
+ <property name="immediate_view">academics_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -28,9 +28,9 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="academics_document_view"/>
+ <alias from="view" to="academics_document_view"/>
  <action title="Standard View" action_id="view" category="object"
     condition_expr=""
-    url_expr="string:${object_url}/academics_contents"
+    url_expr="string:${object_url}/academics_document_view"
     visible="True">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml	(revision 616)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml	(revision 617)
@@ -28,8 +28,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
+ <alias from="(Default)" to="academics_document_view"/>
+ <alias from="view" to="academics_document_view"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/academics_contents" visible="True">
+    url_expr="string:${object_url}/academics_document_view" visible="True">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 616)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 617)
@@ -41,5 +41,5 @@
                  >
               <tal:block condition="widget/label">
-              <td valign="top" width="150px">
+              <td valign="top" nowrap>
                 <span i18n:translate="" tal:condition="widget/is_i18n">
                     <span tal:content="widget/label" />:</span>
Index: WAeUP_SRP/trunk/skins/waeup_default/temporary_view_all.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/temporary_view_all.py	(revision 616)
+++ 	(revision )
@@ -1,26 +1,0 @@
-##parameters=psm=None
-# $Id$
-
-"""
-"""
-
-return context.temporary_view_all_form(psm=psm)
-##member = context.portal_membership.getAuthenticatedMember()
-##uname = str(member)
-##roles = member.getRoles()
-##cat = context.portal_catalog
-##request = context.REQUEST
-##url0 = request.get('URL0')
-##if context.portal_membership.isAnonymousUser():
-##    if not url0.endswith('chat'):
-##        return context.students.student_view_all_form(psm=psm)
-##    return context.Chat()
-##else:
-##    if url0.find(uname) > 0 or 'DepartmentManager' in roles or 'Manager' in roles:
-##        return context.temporary_view_all_form(psm=psm)
-##    elif 'Student' in roles and 'StudentManager' not in roles:
-##        res = cat(pathindex="/portal/sections/students/%s" % uname)
-##        for r in res:
-##            if r.getPath().endswith("students/%s" % uname):
-##                return r.getObject().student_view_student_form(psm=psm)
-##        return context.students.student_view_all_form(psm=psm)
Index: WAeUP_SRP/trunk/skins/waeup_default/temporary_view_all_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/temporary_view_all_form.pt	(revision 616)
+++ 	(revision )
@@ -1,56 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="roles member/getRoles;
-               backend python:'UniversityManager' in roles or 'StudentManager' in roles;
-               frontend python:'Student' in roles or isAnon;
-               folder here/getContent;
-               items python:context.filterContents(items=context.contentValues());"
-               >
-    <h1> <span tal:content="context/title_or_id" /></h1>      
-  
-    <p>This is a temporary view of the object with id <em tal:content="here/id" /> 
-       of type <em tal:content="here/portal_type" />.</p>       
-  
-    <br />
-    <span  tal:condition="python:context.portal_type != 'University' and doc.render()"  tal:omit-tag="">
-    <tal:block  tal:content="structure python:doc.render()" />
-    </span>
-    <br />      
-    <p>Exemplary view of the <strong>list of items attached to (or contained in) the object</strong>: </p>
-    <tal:block condition="python: len(items)">  
-      <table>
-        <span tal:repeat="item items">
-          <tr>
-            <td>
-              <span tal:content="item/portal_type" />:
-            </td>
-            <td>
-              <i>
-                <a href="xxx"  
-                   tal:attributes="href item/absolute_url"
-                   tal:content="item/id"></a> <span tal:content="item/title_or_id" tal:omit-tag="" />
-              </i>
-            </td>
-          </tr>
-        </span>
-      </table>
-    </tal:block>
-    
-    <tal:block condition="python: not len(items)">
-        (No items contained here!)
-    </tal:block>
-  
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_student/home_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/home_student.pt	(revision 616)
+++ 	(revision )
@@ -1,47 +1,0 @@
-<metal:html tal:define="info context/getStudentInfo">
-
-  <metal:body use-macro="here/main_template/macros/master">
-
-    <metal:main fill-slot="main">
-      <span tal:condition="isAnon">
-        <h2>Welcome to the     
-          <br />Student Registration Portal of the University of Benin, Nigeria</h2>
-        <br />
-        <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
-          For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
-        <p><strong>Fresh Students</strong>, who register for the first time, proceed to the respective application 
-          entrance page (UME, DE or Local Programmes). Later they can login to check their admission status and to
-        proceed with the admission and clearance process.</p>
-        <p><strong>Returning Students</strong> can login to check the course results of the previous session, 
-        to register courses for the current session, to pay their school fees and to book accommodation.</p>
-        <p>This site is best seen in Firefox browser.</p>
-      </span>
-      <span tal:condition="python:not isAnon and info"
-            tal:define="review_state info/review_state">
-        <h3 tal:content="info/review_state|nothing"></h3>
-        <span tal:omit-tag="" tal:condition="python:review_state == 'admission_applied'"
-              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
-              layout_mode='view', 
-              layout_id='student_application_fe')" 
-              />
-        <span tal:omit-tag="" tal:condition="python: review_state == 'application_pin_entered'"
-              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
-              layout_mode='edit', 
-              layout_id='student_application_fe')" 
-              />
-      </span>  
-      <span tal:condition="python:not isAnon and not info">
-        <table tal:define="students python: context.objectValues()">
-          <tr tal:repeat="student students">
-            <span tal:omit-tag="" tal:define="info python: context.getStudentInfo(student)">
-            <td><span tal:replace="python: info['per_doc'].lastname" /></td>    
-            <td><span tal:replace="python: info['app_doc'].jamb_reg_no" /></td>    
-            <td><span tal:replace="info/review_state" /></td>    
-            </span>
-          </tr>
-        </table>
-      </span>
-    </metal:main>
-  </metal:body>
-</metal:html>