Index: /WAeUP_Doc/InstructionsPart3.html
===================================================================
--- /WAeUP_Doc/InstructionsPart3.html	(revision 618)
+++ /WAeUP_Doc/InstructionsPart3.html	(revision 618)
@@ -0,0 +1,337 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+<meta name="generator" content="Docutils 0.4: http://docutils.sourceforge.net/" />
+<title></title>
+<style type="text/css">
+
+/*
+:Author: David Goodger
+:Contact: goodger@users.sourceforge.net
+:Date: $Date: 2005-12-18 01:56:14 +0100 (Sun, 18 Dec 2005) $
+:Revision: $Revision: 4224 $
+:Copyright: This stylesheet has been placed in the public domain.
+
+Default cascading style sheet for the HTML output of Docutils.
+
+See http://docutils.sf.net/docs/howto/html-stylesheets.html for how to
+customize this style sheet.
+*/
+
+/* used to remove borders from tables and images */
+.borderless, table.borderless td, table.borderless th {
+  border: 0 }
+
+table.borderless td, table.borderless th {
+  /* Override padding for "table.docutils td" with "! important".
+     The right padding separates the table cells. */
+  padding: 0 0.5em 0 0 ! important }
+
+.first {
+  /* Override more specific margin styles with "! important". */
+  margin-top: 0 ! important }
+
+.last, .with-subtitle {
+  margin-bottom: 0 ! important }
+
+.hidden {
+  display: none }
+
+a.toc-backref {
+  text-decoration: none ;
+  color: black }
+
+blockquote.epigraph {
+  margin: 2em 5em ; }
+
+dl.docutils dd {
+  margin-bottom: 0.5em }
+
+/* Uncomment (and remove this text!) to get bold-faced definition list terms
+dl.docutils dt {
+  font-weight: bold }
+*/
+
+div.abstract {
+  margin: 2em 5em }
+
+div.abstract p.topic-title {
+  font-weight: bold ;
+  text-align: center }
+
+div.admonition, div.attention, div.caution, div.danger, div.error,
+div.hint, div.important, div.note, div.tip, div.warning {
+  margin: 2em ;
+  border: medium outset ;
+  padding: 1em }
+
+div.admonition p.admonition-title, div.hint p.admonition-title,
+div.important p.admonition-title, div.note p.admonition-title,
+div.tip p.admonition-title {
+  font-weight: bold ;
+  font-family: sans-serif }
+
+div.attention p.admonition-title, div.caution p.admonition-title,
+div.danger p.admonition-title, div.error p.admonition-title,
+div.warning p.admonition-title {
+  color: red ;
+  font-weight: bold ;
+  font-family: sans-serif }
+
+/* Uncomment (and remove this text!) to get reduced vertical space in
+   compound paragraphs.
+div.compound .compound-first, div.compound .compound-middle {
+  margin-bottom: 0.5em }
+
+div.compound .compound-last, div.compound .compound-middle {
+  margin-top: 0.5em }
+*/
+
+div.dedication {
+  margin: 2em 5em ;
+  text-align: center ;
+  font-style: italic }
+
+div.dedication p.topic-title {
+  font-weight: bold ;
+  font-style: normal }
+
+div.figure {
+  margin-left: 2em ;
+  margin-right: 2em }
+
+div.footer, div.header {
+  clear: both;
+  font-size: smaller }
+
+div.line-block {
+  display: block ;
+  margin-top: 1em ;
+  margin-bottom: 1em }
+
+div.line-block div.line-block {
+  margin-top: 0 ;
+  margin-bottom: 0 ;
+  margin-left: 1.5em }
+
+div.sidebar {
+  margin-left: 1em ;
+  border: medium outset ;
+  padding: 1em ;
+  background-color: #ffffee ;
+  width: 40% ;
+  float: right ;
+  clear: right }
+
+div.sidebar p.rubric {
+  font-family: sans-serif ;
+  font-size: medium }
+
+div.system-messages {
+  margin: 5em }
+
+div.system-messages h1 {
+  color: red }
+
+div.system-message {
+  border: medium outset ;
+  padding: 1em }
+
+div.system-message p.system-message-title {
+  color: red ;
+  font-weight: bold }
+
+div.topic {
+  margin: 2em }
+
+h1.section-subtitle, h2.section-subtitle, h3.section-subtitle,
+h4.section-subtitle, h5.section-subtitle, h6.section-subtitle {
+  margin-top: 0.4em }
+
+h1.title {
+  text-align: center }
+
+h2.subtitle {
+  text-align: center }
+
+hr.docutils {
+  width: 75% }
+
+img.align-left {
+  clear: left }
+
+img.align-right {
+  clear: right }
+
+ol.simple, ul.simple {
+  margin-bottom: 1em }
+
+ol.arabic {
+  list-style: decimal }
+
+ol.loweralpha {
+  list-style: lower-alpha }
+
+ol.upperalpha {
+  list-style: upper-alpha }
+
+ol.lowerroman {
+  list-style: lower-roman }
+
+ol.upperroman {
+  list-style: upper-roman }
+
+p.attribution {
+  text-align: right ;
+  margin-left: 50% }
+
+p.caption {
+  font-style: italic }
+
+p.credits {
+  font-style: italic ;
+  font-size: smaller }
+
+p.label {
+  white-space: nowrap }
+
+p.rubric {
+  font-weight: bold ;
+  font-size: larger ;
+  color: maroon ;
+  text-align: center }
+
+p.sidebar-title {
+  font-family: sans-serif ;
+  font-weight: bold ;
+  font-size: larger }
+
+p.sidebar-subtitle {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+p.topic-title {
+  font-weight: bold }
+
+pre.address {
+  margin-bottom: 0 ;
+  margin-top: 0 ;
+  font-family: serif ;
+  font-size: 100% }
+
+pre.literal-block, pre.doctest-block {
+  margin-left: 2em ;
+  margin-right: 2em ;
+  background-color: #eeeeee }
+
+span.classifier {
+  font-family: sans-serif ;
+  font-style: oblique }
+
+span.classifier-delimiter {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+span.interpreted {
+  font-family: sans-serif }
+
+span.option {
+  white-space: nowrap }
+
+span.pre {
+  white-space: pre }
+
+span.problematic {
+  color: red }
+
+span.section-subtitle {
+  /* font-size relative to parent (h1..h6 element) */
+  font-size: 80% }
+
+table.citation {
+  border-left: solid 1px gray;
+  margin-left: 1px }
+
+table.docinfo {
+  margin: 2em 4em }
+
+table.docutils {
+  margin-top: 0.5em ;
+  margin-bottom: 0.5em }
+
+table.footnote {
+  border-left: solid 1px black;
+  margin-left: 1px }
+
+table.docutils td, table.docutils th,
+table.docinfo td, table.docinfo th {
+  padding-left: 0.5em ;
+  padding-right: 0.5em ;
+  vertical-align: top }
+
+table.docutils th.field-name, table.docinfo th.docinfo-name {
+  font-weight: bold ;
+  text-align: left ;
+  white-space: nowrap ;
+  padding-left: 0 }
+
+h1 tt.docutils, h2 tt.docutils, h3 tt.docutils,
+h4 tt.docutils, h5 tt.docutils, h6 tt.docutils {
+  font-size: 100% }
+
+tt.docutils {
+  background-color: #eeeeee }
+
+ul.auto-toc {
+  list-style-type: none }
+
+</style>
+</head>
+<body>
+<div class="document">
+<div class="section">
+<h1><a id="instructions-part-3" name="instructions-part-3">Instructions Part 3</a></h1>
+</div>
+<div class="section">
+<h1><a id="testing-the-srp-application-module" name="testing-the-srp-application-module">Testing the SRP Application Module</a></h1>
+<ol class="arabic simple">
+<li>Open your Firefox browser (IE is not recommended but does also work) and login as manager. You can do that either through the unben-local.waeup.org portal or through the uniben.waeup.org portal. The latter is recommended when opening the website from outside the btedu LAN on campus.</li>
+<li>Click the 'PINs' navigation tab.</li>
+<li>Click 'Add Scratch Card Batch' and select 'Application' from the prefix pull-down menu, then click create. A csv file will be automatically generated and copied to the WebDAV srp-import folder at <a class="reference" href="https://dav.waeup.org">https://dav.waeup.org</a>. Please look at the time of creation which is part of the file name. Probably several testers also created test batches already.</li>
+<li>Go to the PINs Section again and click the respective 'Pin Batch APP BatchNo #' link of the batch which you just added. Then you can see all unused PIN's. This feature is only available during the testing period. Than it will be replaced by a function which allows to list used PINs together with some information about their usage.</li>
+<li>Print this list or write down some PINs.</li>
+<li>Click on the 'Students' navigation tab.</li>
+<li>You can leave all fields as they are and directly click the search button. You'll see a list of students which we imported from the UME JAMB list sent recently.</li>
+<li>Print this list or write down some JAMB registration numbers (third column).</li>
+<li>Log out.</li>
+<li>Click 'Apply for PUME'.</li>
+<li>Enter a JAMB registration number and a fresh Application PIN from your printouts. The PIN has to be split into the batch number and the 10-digit random number.</li>
+<li>A member record has been created and you are logged in (see name in the top left corner). The Registration Status Box shows that you are in the state application_pin_entered (title: 'Admission started'). You can already browse the Academic Section which is called 'Prospectus' for the students. Notice that the colour of the portal has changed:</li>
+</ol>
+<pre class="literal-block">
+gold -&gt; you are logged in as student
+grey -&gt; you are logged in as staff member
+</pre>
+<ol class="arabic simple" start="13">
+<li>Upload your passport picture from your local computer. You can repeat this as often as you like as long as you have not applied for admission. The picture will be automatically resized. This function is not yet available. It will be implemented in the next SRP version.</li>
+<li>Click the 'Apply' button.</li>
+<li>Your status changed from application_pin_entered to admission_applied (Title: 'Admission requested', see Registration Status Box) and your application record is shown (only those fields which are relevant for the students concern).</li>
+<li>Click on 'Application Slip' and print the slip (Ctrl P).</li>
+<li>Log out.</li>
+<li>Click 'Student Login'.</li>
+<li>Enter your Student Id and the last 10 digits of the Application PIN. Then you'll be logged in again.</li>
+<li>Log out.</li>
+<li>Click 'Staff Login' and enter your manager user name and password.</li>
+<li>Go to the Students Section and select 'applied for admission' from the pull-down menu. Click the Search button.</li>
+<li>You'll see a list of students which have applied for admission. Your student should be among them.</li>
+<li>Click on the Student Id and then 'Application Data'.</li>
+<li>Now you see the entire Application Data record which has been imported from JAMB. The workflow status is 'closed' (see 'Status' on the right-hand side). The PUME results will be filled during import of the PUME result lists.</li>
+<li>Click 'Up one level' and then 'Personal Data'</li>
+<li>The Personal Data contain only the name (split into first-, middle- and lastname) and the sex of the student. Both fields were taken from the JAMB record during import. The Personal Data object will be edited by the student after clearance is finished. Only the manager is able to edit all fields right now (see Edit link).</li>
+<li>Finished</li>
+</ol>
+</div>
+</div>
+</body>
+</html>
Index: /WAeUP_Doc/InstructionsPart3.rst
===================================================================
--- /WAeUP_Doc/InstructionsPart3.rst	(revision 618)
+++ /WAeUP_Doc/InstructionsPart3.rst	(revision 618)
@@ -0,0 +1,66 @@
+Instructions Part 3 
++++++++++++++++++++
+
+Testing the SRP Application Module 
+++++++++++++++++++++++++++++++++++
+
+1. Open your Firefox browser (IE is not recommended but does also work) and login as manager. You can do that either through the unben-local.waeup.org portal or through the uniben.waeup.org portal. The latter is recommended when opening the website from outside the btedu LAN on campus.
+
+2. Click the 'PINs' navigation tab.
+
+3. Click 'Add Scratch Card Batch' and select 'Application' from the prefix pull-down menu, then click create. A csv file will be automatically generated and copied to the WebDAV srp-import folder at https://dav.waeup.org. Please look at the time of creation which is part of the file name. Probably several testers also created test batches already.
+
+4. Go to the PINs Section again and click the respective 'Pin Batch APP BatchNo #' link of the batch which you just added. Then you can see all unused PIN's. This feature is only available during the testing period. Than it will be replaced by a function which allows to list used PINs together with some information about their usage.
+
+5. Print this list or write down some PINs.
+
+6. Click on the 'Students' navigation tab.
+
+7. You can leave all fields as they are and directly click the search button. You'll see a list of students which we imported from the UME JAMB list sent recently.
+
+8. Print this list or write down some JAMB registration numbers (third column).
+
+9. Log out.
+
+10. Click 'Apply for PUME'.
+
+11. Enter a JAMB registration number and a fresh Application PIN from your printouts. The PIN has to be split into the batch number and the 10-digit random number.
+
+12. A member record has been created and you are logged in (see name in the top left corner). The Registration Status Box shows that you are in the state application_pin_entered (title: 'Admission started'). You can already browse the Academic Section which is called 'Prospectus' for the students. Notice that the colour of the portal has changed: 
+
+::
+
+ gold -> you are logged in as student 
+ grey -> you are logged in as staff member
+
+13. Upload your passport picture from your local computer. You can repeat this as often as you like as long as you have not applied for admission. The picture will be automatically resized. This function is not yet available. It will be implemented in the next SRP version.
+
+14. Click the 'Apply' button.
+
+15. Your status changed from application_pin_entered to admission_applied (Title: 'Admission requested', see Registration Status Box) and your application record is shown (only those fields which are relevant for the students concern).
+
+16. Click on 'Application Slip' and print the slip (Ctrl P).
+
+17. Log out.
+
+18. Click 'Student Login'.
+
+19. Enter your Student Id and the last 10 digits of the Application PIN. Then you'll be logged in again.
+
+20. Log out.
+
+21. Click 'Staff Login' and enter your manager user name and password.
+
+22. Go to the Students Section and select 'applied for admission' from the pull-down menu. Click the Search button.
+
+23. You'll see a list of students which have applied for admission. Your student should be among them.
+
+24. Click on the Student Id and then 'Application Data'.
+
+25. Now you see the entire Application Data record which has been imported from JAMB. The workflow status is 'closed' (see 'Status' on the right-hand side). The PUME results will be filled during import of the PUME result lists.
+
+26. Click 'Up one level' and then 'Personal Data'
+
+27. The Personal Data contain only the name (split into first-, middle- and lastname) and the sex of the student. Both fields were taken from the JAMB record during import. The Personal Data object will be edited by the student after clearance is finished. Only the manager is able to edit all fields right now (see Edit link).
+
+28. Finished 