Index: WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml	(revision 622)
+++ WAeUP_SRP/trunk/profiles/default/layouts/acco_hall.xml	(revision 622)
@@ -0,0 +1,173 @@
+<?xml version="1.0"?>
+<object name="accommodation" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="beds_for_final" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_final"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Bedspaces for final</property>
+  <property name="label_edit">Bedspaces for final</property>
+  <property name="help">Name the bedspaces for final year students</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>
+ <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_fresh"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Bedspaces for fresh</property>
+  <property name="label_edit">Bedspaces for fresh</property>
+  <property name="help">Name the bedspaces for first year students</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_returning"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Bedspaces for returning</property>
+  <property name="label_edit">Bedspaces for returning</property>
+  <property
+     name="help">Name the bedspaces for returning year students</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>
+ <widget name="beds_per_room" meta_type="Int Widget">
+  <property name="fields">
+   <element value="beds_per_room"/>
+  </property>
+    <property name="is_required">True</property>
+    <property name="label">Beds per Room</property>
+    <property name="label_edit">Beds per Room</property>
+    <property name="is_limited">True</property>
+    <property name="min_value">1</property>
+    <property name="max_value">10</property> 
+  </widget>
+<widget name="Title" meta_type="String Widget">
+ <property name="title">Title</property>
+ <property name="fields">
+  <element value="Title"/>
+ </property>
+  <property name="is_required">True</property>
+  <property name="label">Hall Name</property>
+  <property name="label_edit">Hall Name</property>
+  <property name="display_width">40</property>
+  <property name="size_max">40</property>
+ </widget>
+  <widget name="nr_of_blocks" meta_type="Int Widget">
+    <property name="fields">
+      <element value="nr_of_blocks"/>
+    </property>
+    <property name="is_required">True</property>
+    <property name="label">Nr of Blocks</property>
+    <property name="label_edit">Nr of Blocks</property>
+    <property name="is_limited">True</property>
+    <property name="min_value">1</property>
+    <property name="max_value">10</property> 
+  </widget>
+ <widget name="nr_of_floors" meta_type="Int Widget">
+  <property name="fields">
+   <element value="nr_of_floors"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Nr of Floors </property>
+  <property name="label_edit">Nr of Floors</property>
+    <property name="is_limited">True</property>
+    <property name="min_value">1</property>
+    <property name="max_value">5</property> 
+ </widget>
+ <widget name="reserved_rooms" meta_type="String Widget">
+  <property name="title">Reserved Rooms</property>
+  <property name="fields">
+   <element value="reserved_rooms"/>
+  </property>
+  <property name="label">Reserved Rooms</property>
+  <property name="label_edit">Reserved Rooms</property>
+  <property
+     name="help">Enter the reserved room_nrs separeted by space.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="rooms_per_floor" meta_type="Int Widget">
+  <property name="fields">
+   <element value="rooms_per_floor"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Rooms per Floor</property>
+  <property name="label_edit">Rooms per Floor</property>
+    <property name="is_limited">True</property>
+    <property name="min_value">1</property>
+    <property name="max_value">50</property>
+ </widget>
+ <widget name="text" meta_type="Text Widget">
+  <property name="fields">
+   <element value="text"/>
+  </property>
+  <property name="label">Text</property>
+  <property name="label_edit">Text</property>
+  <property name="help">Short Description</property>
+  <property name="is_i18n">True</property>
+  <property name="hidden_layout_modes"/>
+  <property name="css_class">description</property>
+  <property name="width">72</property>
+ </widget>
+ <widget name="which_sex" meta_type="Boolean Widget">
+  <property name="fields">
+   <element value="which_sex"/>
+  </property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
+  <property name="label_false">male</property>
+  <property name="label_true">female</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="Title"/>
+  </row>
+  <row>
+   <cell name="text"/>
+  </row>
+  <row>
+   <cell name="which_sex"/>
+  </row>
+  <row>
+   <cell name="nr_of_blocks"/>
+  </row>
+  <row>
+   <cell name="nr_of_floors"/>
+  </row>
+  <row>
+   <cell name="rooms_per_floor"/>
+  </row>
+  <row>
+   <cell name="beds_per_room"/>
+  </row>
+  <row>
+   <cell name="beds_for_fresh"/>
+  </row>
+  <row>
+   <cell name="beds_for_returning"/>
+  </row>
+  <row>
+   <cell name="beds_for_final"/>
+  </row>
+  <row>
+   <cell name="reserved_rooms"/>
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/accommodation.xml	(revision 617)
+++ 	(revision )
@@ -1,164 +1,0 @@
-<?xml version="1.0"?>
-<object name="accommodation" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="beds_for_final" meta_type="MultiSelect Widget">
-  <property name="fields">
-   <element value="beds_for_final"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Bedspaces for final</property>
-  <property name="label_edit">Bedspaces for final</property>
-  <property name="help">Name the bedspaces for final year students</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">waeup_bed_letters</property>
- </widget>
- <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
-  <property name="fields">
-   <element value="beds_for_fresh"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Bedspaces for fresh</property>
-  <property name="label_edit">Bedspaces for fresh</property>
-  <property name="help">Name the bedspaces for first year students</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">waeup_bed_letters</property>
- </widget>
- <widget name="beds_for_returning" meta_type="MultiSelect Widget">
-  <property name="fields">
-   <element value="beds_for_returning"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Bedspaces for returning</property>
-  <property name="label_edit">Bedspaces for returning</property>
-  <property
-     name="help">Name the bedspaces for returning year students</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">waeup_bed_letters</property>
- </widget>
- <widget name="beds_per_room" meta_type="Select Widget">
-  <property name="fields">
-   <element value="beds_per_room"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Beds per Room</property>
-  <property name="label_edit">Beds per Room</property>
-  <property name="vocabulary">range10</property>
- </widget>
- <widget name="heading" meta_type="String Widget">
-  <property name="fields">
-   <element value="heading"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Hall Name</property>
-  <property name="label_edit">Hall Name</property>
-  <property name="display_width">40</property>
-  <property name="size_max">40</property>
- </widget>
- <widget name="nr_of_blocks" meta_type="Select Widget">
-  <property name="fields">
-   <element value="nr_of_blocks"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Nr of Blocks</property>
-  <property name="label_edit">Nr of Blocks</property>
-  <property name="vocabulary">range10</property>
- </widget>
- <widget name="nr_of_floors" meta_type="Select Widget">
-  <property name="fields">
-   <element value="nr_of_floors"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Nr of Floors </property>
-  <property name="label_edit">Nr of Floors</property>
-  <property name="vocabulary">range5</property>
- </widget>
- <widget name="reserved_rooms" meta_type="String Widget">
-  <property name="title">Reserved Rooms</property>
-  <property name="fields">
-   <element value="reserved_rooms"/>
-  </property>
-  <property name="label">Reserved Rooms</property>
-  <property name="label_edit">Reserved Rooms</property>
-  <property
-     name="help">Enter the reserved room_nrs separeted by space.</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="rooms_per_floor" meta_type="Select Widget">
-  <property name="fields">
-   <element value="rooms_per_floor"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Rooms per Floor</property>
-  <property name="label_edit">Rooms per Floor</property>
-  <property name="vocabulary">range50</property>
- </widget>
- <widget name="text" meta_type="Text Widget">
-  <property name="fields">
-   <element value="text"/>
-  </property>
-  <property name="label">Text</property>
-  <property name="label_edit">Text</property>
-  <property name="help">Short Description</property>
-  <property name="is_i18n">True</property>
-  <property name="hidden_layout_modes"/>
-  <property name="css_class">description</property>
-  <property name="width">72</property>
- </widget>
- <widget name="which_sex" meta_type="Boolean Widget">
-  <property name="fields">
-   <element value="which_sex"/>
-  </property>
-  <property name="label">Sex</property>
-  <property name="label_edit">Sex</property>
-  <property name="label_false">male</property>
-  <property name="label_true">female</property>
- </widget>
- <table>
-  <row>
-   <cell name="heading"/>
-  </row>
-  <row>
-   <cell name="text"/>
-  </row>
-  <row>
-   <cell name="which_sex"/>
-  </row>
-  <row>
-   <cell name="nr_of_blocks"/>
-  </row>
-  <row>
-   <cell name="nr_of_floors"/>
-  </row>
-  <row>
-   <cell name="rooms_per_floor"/>
-  </row>
-  <row>
-   <cell name="beds_per_room"/>
-  </row>
-  <row>
-   <cell name="beds_for_fresh"/>
-  </row>
-  <row>
-   <cell name="beds_for_returning"/>
-  </row>
-  <row>
-   <cell name="beds_for_final"/>
-  </row>
-  <row>
-   <cell name="reserved_rooms"/>
-  </row>
- </table>
-</object>