Index: WAeUP_SRP/trunk/Accommodation.py
===================================================================
--- WAeUP_SRP/trunk/Accommodation.py	(revision 623)
+++ WAeUP_SRP/trunk/Accommodation.py	(revision 624)
@@ -23,9 +23,9 @@
     portal_type = meta_type
     security = ClassSecurityInfo()
-    
+
     security.declareProtected(View,"Title")
     def Title(self):
         """compose title"""
-        return "Accommodation"    
+        return "Accommodation Halls"
 
     security.declareProtected(ModifyPortalContent,"generateFreeBedsList") ###(
Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 623)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 624)
@@ -5,5 +5,5 @@
               icon_expr="actionicon_view.png"/>
  <action-icon category="object" action_id="new_content"
-              title="New" priority="0"
+              title="New" priority="20"
               icon_expr="actionicon_add.png"/>
  <action-icon category="object" action_id="contents"
@@ -13,12 +13,9 @@
               title="Preview" priority="30"
               icon_expr="actionicon_preview_icon.png"/>
- <action-icon category="object" action_id="edit"
-              title="Edit" priority="100"
-              icon_expr="actionicon_modify.png"/>
  <action-icon category="object" action_id="metadata"
-              title="Metadata" priority="110"
+              title="Metadata" priority="40"
               icon_expr="actionicon_metadata.png"/>
  <action-icon category="object" action_id="localroles"
-              title="Local Roles" priority="250"
+              title="Local Roles" priority="90"
               icon_expr="actionicon_user_roles.png"/>
  <action-icon category="object"
@@ -26,25 +23,31 @@
               title="Authorize comments" priority="130"
               icon_expr="actionicon_comments.png"/>
+ <action-icon category="object" action_id="edit"
+              title="Edit" priority="120"
+              icon_expr="actionicon_modify.png"/>
  <action-icon category="object" action_id="comment"
               title="Add comment" priority="140"
               icon_expr="actionicon_addcomment.png"/>
  <action-icon category="object" action_id="search_entry"
-              title="Search entry" priority="0"
+              title="Search entry" priority="200"
               icon_expr="actionicon_search.png"/>
  <action-icon category="object" action_id="new_entry"
-              title="New entry" priority="10"
+              title="New entry" priority="210"
               icon_expr="actionicon_add.png"/>
  <action-icon category="object" action_id="view_entry"
-              title="View entry" priority="0"
+              title="View entry" priority="220"
               icon_expr="actionicon_view.png"/>
  <action-icon category="object" action_id="edit_entry"
-              title="Edit entry" priority="100"
+              title="Edit entry" priority="230"
               icon_expr="actionicon_modify.png"/>
  <action-icon category="object" action_id="delete_entry"
-              title="Delete entry" priority="120"
+              title="Delete entry" priority="240"
               icon_expr="actionicon_reject.png"/>
  <action-icon category="object" action_id="edit_online"
-              title="Edit online" priority="100"
+              title="Edit online" priority="300"
               icon_expr="actionicon_edit_online.png"/>
+ <action-icon category="object" action_id="new_bed_list"
+              title="Refresh Bed List" priority="80"
+              icon_expr="bed_list_refresh.gif"/>
  <action-icon category="folder" action_id="portlets"
               title="Manage portlets" priority="270"
@@ -106,7 +109,4 @@
               title="Directories" priority="4"
               icon_expr="actionicon_directories.png"/>
- <action-icon category="global" action_id="members"
-              title="Portal Members" priority="5"
-              icon_expr="actionicon_directories.png"/>              
  <action-icon category="global_header" action_id="print"
               title="Print" priority="0"
@@ -120,10 +120,7 @@
               title="Advanced Search" priority="2"
               icon_expr="actionicon_advanced_search.png"/>
- <action-icon category="global_header"
-              title="Contact" action_id="contact"
-              priority="0" icon_expr="actionicon_email.png"/>
- <action-icon category="student" action_id="login_staff"
-              title="Staff Login" priority="0"
-              icon_expr="actionicon_login.png"/>
+ <action-icon category="global_header" action_id="contact"
+              title="Contact" priority="0"
+              icon_expr="actionicon_email.png"/>
  <action-icon category="user" action_id="login"
               title="Staff Login" priority="0"
@@ -144,4 +141,7 @@
               title="User preferences" priority="5"
               icon_expr="actionicon_user_preferences.png"/>
+ <action-icon category="student" action_id="login_staff"
+              title="Staff Login" priority="0"
+              icon_expr="actionicon_login.png"/>
  <action-icon category="object" action_id="unchecked"
               title="Unchecked Items" priority="12"
@@ -198,27 +198,26 @@
               title="Import Fulltime Student Results"
               priority="7" icon_expr="actionicon_submit.png"/>
- <action-icon category="export"
-              action_id="export_faculties"
-              title="Export Faculties"
-              priority="1" icon_expr="actionicon_unpublish.png"/>
+ <action-icon category="export" action_id="export_faculties"
+              title="Export Faculties" priority="1"
+              icon_expr="actionicon_unpublish.png"/>
  <action-icon category="export"
               action_id="export_departments"
-              title="Export Departments"
-              priority="2" icon_expr="actionicon_unpublish.png"/>
- <action-icon category="export"
-              action_id="export_courses"
-              title="Export Courses"
-              priority="3" icon_expr="actionicon_unpublish.png"/>
+              title="Export Departments" priority="2"
+              icon_expr="actionicon_unpublish.png"/>
+ <action-icon category="export" action_id="export_courses"
+              title="Export Courses" priority="3"
+              icon_expr="actionicon_unpublish.png"/>
  <action-icon category="export"
               action_id="export_certificates"
-              title="Export Certificates"
-              priority="4" icon_expr="actionicon_unpublish.png"/>
+              title="Export Certificates" priority="4"
+              icon_expr="actionicon_unpublish.png"/>
  <action-icon category="export"
               action_id="export_certificate_courses"
               title="Export Certificate Courses"
-              priority="5" icon_expr="actionicon_unpublish.png"/>
- <action-icon category="student_navigation" action_id="students_home"
-              title="Home" priority="0"
-              icon_expr="blank.gif"/>
+              priority="5"
+              icon_expr="actionicon_unpublish.png"/>
+ <action-icon category="student_navigation"
+              action_id="students_home" title="Home"
+              priority="0" icon_expr="blank.gif"/>
  <action-icon category="student_navigation"
               action_id="registration" title="Registration"
@@ -239,3 +238,6 @@
               title="Apply for PUME" priority="2"
               icon_expr="bell.png"/>
+ <action-icon category="global" action_id="members"
+              title="Portal Members" priority="5"
+              icon_expr="actionicon_directories.png"/>
 </action-icons>
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 623)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 624)
@@ -98,5 +98,5 @@
      visible="True">
    <permission>Modify portal content</permission>
-  </action>  
+  </action>
   <action title="Home" action_id="home" category="navigation"
      condition_expr="member" url_expr="string:${portal_url}" visible="True">
@@ -108,7 +108,7 @@
    <permission>View</permission>
   </action>
-  <action title="Accommodation" action_id="view_accommodation"
+  <action title="Halls" action_id="view_accommodation"
      category="navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/accommodation" visible="False">
+     url_expr="string:${portal_url}/campus/accommodation" visible="True">
    <permission>View</permission>
   </action>
Index: WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 623)
+++ WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 624)
@@ -35,5 +35,5 @@
   <permission value="View"/>
  </action>
-<action title="Add Accommodation Hall" action_id="new_entry"
+<action title="Add Hall" action_id="new_entry"
     category="object" condition_expr=""
     url_expr="string:${object_url}/content_create?type_name=AccoHall"
@@ -41,5 +41,5 @@
   <permission value="Modify portal content"/>
  </action>
-<action title="Generate Bedslist" action_id="new_list"
+<action title="Refresh Bed List" action_id="new_bed_list"
     category="object" condition_expr=""
     url_expr="string:${object_url}/generateFreeBedsList"